      subroutine EX2FGT(Y,JFLAG,RTIMER)
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'LOCAL.INC'
      include 'UNITS.INC'
      include 'LOCAL1.INC'
      dimension Y(KOUNT,KCHEM)
      double precision Y
      real CONC(3,NCHEM),PLANFW
      real RTIMER, OUTVAR
      integer JFLAG
      integer I, J, K
      do 100 K=1,KCHEM
        CONC(1,K)=ALPHA(1,1,K)*dabs(Y(1,K))
100   continue
      do 110 K=1,KCHEM
      CONC(2,K)=ALPHA(32,2,K)*dabs(Y(2,K))/(BIOTOL(2)*10.0)
110   continue
      do 120 K=1,KCHEM
      CONC(3,K)=ALPHA(32,1,K)*dabs(Y(1,K))/(BIOTOL(1)*10.0)
120   continue
      if (modeg.eq.3) then
        PLANFW=PLMASG(1,MONTHL)/0.10
      else
        planfw=plmasg(1,monthg)/0.10
      endif
      if (modeg.eq.2) then
         outvar=tcelg(1,monthg)
      else
         outvar=tcelg(1,monthl)
      endif
      write (FG1LUN(MACHNO),fmt=5030) RTIMER,outvar,PLANFW,
     &(CONC(1,K),K=1,KCHEM),(CONC(2,K),K=1,KCHEM),(CONC(3,K),K=1,KCHEM)
5030  format(1x,1pe12.5,1x,0pf5.1,1x,1pe9.2,30(1x,e9.2))
      return
      end
